Type to search.

Move clusters

  • POST /platform/infrastructure/allocators/{allocator_id}/clusters/_move
Auth

Moves the clusters to a different allocator.

Path parameters

allocator_id string required

The allocator identifier.

Query parameters

force_update boolean · default: false

When true, cancels and overwrites the pending plans, or treats the instance as an error.

move_only boolean · default: true

When true, moves the specified instances and ignores the changes for the cluster state.

force_move boolean · default: false

When true, execute a primitive vacate by moving data at file-system level, and recreating instances on the target allocator(s).

allocator_down boolean

When true, considers all instances on the allocator as permanently shut down when deciding how to migrate data to new nodes.When left blank, the system automatically decides. NOTE: The default treats the allocator as up.

validate_only boolean · default: false

When true, validates the plan overrides, then returns the plan without performing the move.

Request body

Overrides defaults for the move of each cluster

Responses

The move command was issued successfully, use the "GET" command on each /{cluster_id} resource to monitor progress

application/json
failures object required

Information about the Elasticsearch clusters, multiple Kibana instances, and multiple APM Servers that are moved off of the allocator.

elasticsearch_clusters object[] required

Detailed information about the Elasticsearch clusters being moved.

cluster_id string required

Identifier for the Elasticsearch cluster.

calculated_plan object

Defines the configuration parameters that control how the plan is applied. For example, the Elasticsearch cluster topology and Elasticsearch settings.

Same fields as plan_override in elasticsearch_clusters
kibana_clusters object[] required

Detailed information about the Kibana clusters being moved.

cluster_id string required

Identifier for the Kibana cluster.

calculated_plan object

Defines the configuration parameters that control how the plan is applied. For example, the Elasticsearch cluster topology and Kibana instance settings.

Same fields as plan_override in kibana_clusters
apm_clusters object[] required

Detailed information about the Apm clusters being moved.

cluster_id string required

Identifier for the Apm cluster.

calculated_plan object

Defines the configuration parameters that control how the plan is applied. For example, the Elasticsearch cluster topology and APM Server settings.

Same fields as plan_override in apm_clusters
appsearch_clusters object[] required

Detailed information about the App Search clusters being moved.

cluster_id string required

Identifier for the App Search.

calculated_plan object

Defines configuration parameters that control how the plan (ie consisting of the cluster topology and AppSearch settings) is applied

Same fields as plan_override in appsearch_clusters
enterprise_search_clusters object[] required

Detailed information about the Elastic Enterprise Search clusters being moved.

cluster_id string required

Identifier for the Elastic Enterprise Search.

calculated_plan object

Defines configuration parameters that control how the plan (i.e. consisting of the cluster topology and Enterprise Search settings) is applied

Same fields as plan_override in enterprise_search_clusters
moves object required

Information about the Elasticsearch clusters, multiple Kibana instances, and multiple APM Servers that are moved off of the allocator.

Same fields as failures